###  | #  |

Public Member Functions | List of all members
MutableImageViewConcept< View > Struct Template Reference
Image View » Concepts » ImageViewConcept

GIL's 2-dimensional view over mutable GIL pixels. More...

`#include <image_view.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename View>
struct boost::gil::MutableImageViewConcept< View >

GIL's 2-dimensional view over mutable GIL pixels.

concept MutableImageViewConcept<ImageViewConcept View>
: MutableRandomAccess2DImageViewConcept<View> {};
boost::gil::ImageViewConcept
GIL's 2-dimensional view over immutable GIL pixels.
Definition: concepts/image_view.hpp:376
boost::gil::MutableImageViewConcept
GIL's 2-dimensional view over mutable GIL pixels.
Definition: concepts/image_view.hpp:505
boost::gil::MutableRandomAccess2DImageViewConcept
2-dimensional view over mutable values
Definition: concepts/image_view.hpp:488

The documentation for this struct was generated from the following file:

- concepts/image_view.hpp